Bug 177910 - dns/hesiod: Update to version 3.2.1
Summary: dns/hesiod: Update to version 3.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-17 19:10 UTC by tkato432
Modified: 2013-04-26 07:40 UTC (History)
0 users

See Also:


Attachments
file.diff (3.51 KB, patch)
2013-04-17 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-04-17 19:10:00 UTC
- Update to version 3.2.1

Remove file:
files/patch-hestest.c
Comment 1 Edwin Groothuis freebsd_committer 2013-04-17 19:10:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-04-26 07:33:33 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-04-26 07:33:39 UTC
Author: miwi
Date: Fri Apr 26 06:33:30 2013
New Revision: 316571
URL: http://svnweb.freebsd.org/changeset/ports/316571

Log:
  - Update to 3.2.1
  
  PR:		177910
  Submitted by:	Ports Fury

Deleted:
  head/dns/hesiod/files/
Modified:
  head/dns/hesiod/Makefile   (contents, props changed)
  head/dns/hesiod/distinfo   (contents, props changed)
  head/dns/hesiod/pkg-plist   (contents, props changed)

Modified: head/dns/hesiod/Makefile
==============================================================================
--- head/dns/hesiod/Makefile	Fri Apr 26 06:31:53 2013	(r316570)
+++ head/dns/hesiod/Makefile	Fri Apr 26 06:33:30 2013	(r316571)
@@ -1,35 +1,44 @@
-# Ports collection Makefile for:	Hesiod
-# Date created:				6/11/1998
-# Whom:					n@nectar.com
-#
+# Created by: n@nectar.com
 # $FreeBSD$
-#
 
-PORTNAME=		hesiod
-PORTVERSION=		3.1.0
-CATEGORIES=		dns
-MASTER_SITES=		ftp://athena-dist.mit.edu/pub/ATHENA/hesiod/
-
-MAINTAINER=		ports@FreeBSD.org
-COMMENT=		A directory service built on DNS and BIND
-
-MAN3=			hesiod.3 hesiod_end.3 hesiod_free_list.3 	\
-			hesiod_free_passwd.3 hesiod_free_postoffice.3 	\
-			hesiod_free_servent.3 hesiod_getmailhost.3 	\
-			hesiod_getpwnam.3 hesiod_getpwuid.3 		\
-			hesiod_getservbyname.3 hesiod_init.3 		\
-			hesiod_resolve.3 hesiod_to_bind.3 		\
-			hesiod_free_string.3 hesiod_parse_result.3
-MAN5=			hesiod.conf.5
+PORTNAME=	hesiod
+PORTVERSION=	3.2.1
+CATEGORIES=	dns
+MASTER_SITES=	ftp://athena-dist.mit.edu/pub/ATHENA/hesiod/
 
-USE_AUTOTOOLS=	libtool
-GNU_CONFIGURE=		yes
-USE_LDCONFIG=		yes
+MAINTAINER=	ports@FreeBSD.org
+COMMENT=	Directory service built on DNS and BIND
+
+LICENSE=	BSD
 
-post-patch:
-	@${REINPLACE_CMD} -E \
-		-e "s,\$${INSTALL} -m 444,\$${BSD_INSTALL_MAN}," \
-		-e "s,\$${INSTALL} -m 644,\$${BSD_INSTALL_DATA}," \
-		${WRKSRC}/Makefile.in
+OPTIONS_DEFINE=	IDN
+OPTIONS_DEFAULT=IDN
+
+USES=		pathfix
+USE_AUTOTOOLS=	libtool
+CONFIGURE_ARGS=	--disable-silent-rules
+USE_LDCONFIG=	yes
+MAKE_JOBS_SAFE=	yes
+
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+
+MAN1=		hesinfo.1
+MAN3=		hesiod.3 hesiod_end.3 hesiod_free_list.3 	\
+		hesiod_free_passwd.3 hesiod_free_postoffice.3 	\
+		hesiod_free_servent.3 hesiod_getmailhost.3 	\
+		hesiod_getpwnam.3 hesiod_getpwuid.3 		\
+		hesiod_getservbyname.3 hesiod_init.3 		\
+		hesiod_resolve.3 hesiod_to_bind.3 		\
+		hesiod_free_string.3 hesiod_parse_result.3
+MAN5=		hesiod.conf.5
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MIDN}
+LIB_DEPENDS+=	idn:${PORTSDIR}/dns/libidn
+.else
+CONFIGURE_ARGS+=--without-libidn
+.endif
 
 .include <bsd.port.mk>

Modified: head/dns/hesiod/distinfo
==============================================================================
--- head/dns/hesiod/distinfo	Fri Apr 26 06:31:53 2013	(r316570)
+++ head/dns/hesiod/distinfo	Fri Apr 26 06:33:30 2013	(r316571)
@@ -1,2 +1,2 @@
-SHA256 (hesiod-3.1.0.tar.gz) = 57b288ea736614d630677da7b6fa3f46c6b07a0ec7e798860f318e887e2602b6
-SIZE (hesiod-3.1.0.tar.gz) = 224294
+SHA256 (hesiod-3.2.1.tar.gz) = bad72fcd1761601eee244153739c8829c71dcc30dd33300f5111a9a9ed5b4076
+SIZE (hesiod-3.2.1.tar.gz) = 368075

Modified: head/dns/hesiod/pkg-plist
==============================================================================
--- head/dns/hesiod/pkg-plist	Fri Apr 26 06:31:53 2013	(r316570)
+++ head/dns/hesiod/pkg-plist	Fri Apr 26 06:33:30 2013	(r316571)
@@ -1,5 +1,7 @@
+bin/hesinfo
 include/hesiod.h
 lib/libhesiod.a
 lib/libhesiod.la
 lib/libhesiod.so
 lib/libhesiod.so.0
+libdata/pkgconfig/hesiod.pc
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"